Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Classes | Public Types | Static Public Attributes | List of all members
cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ > Struct Template Reference

`#include <gemm_global_tile.h>`

Inheritance diagram for cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >:

## Classes
struct | ThreadOffset
| Computes the thread offset in (H, W) based on thread ID. More...

## Public Types
typedef GemmGlobalTileTraits< GemmOperand::kC, MatrixLayout::kColumnMajor, Scalar_, Tile_, Threads_, kAccessSize_ > | Base
| The base class. More...
typedef Shape< 0, 0, Base::Delta::kW, Base::Delta::kC > | Delta
| Override the strides in each dimension between different loads/stores. More...
typedef Base::Iterations | Iterations
typedef Base::Threads | Threads
typedef Base::ThreadsDelta | ThreadsDelta
typedef Base::ImmediateOffsetStrides | ImmediateOffsetStrides
Public Types inherited from cutlass::gemm::GemmGlobalTileTraits< GemmOperand::kC, MatrixLayout::kColumnMajor, Scalar_, Tile_, Threads_, kAccessSize_ >
typedef platform::remove_const< Scalar_ >::type | Scalar
| The scalar. More...
typedef Scalar_ * | Pointer
| The pointer. More...
typedef Tile_ | Tile
| The tile shape. More...
typedef ReshapeTile< Tile_, kAccessSize_ >::Tile | VectorizedTile
| The vectorized tile shape. More...
typedef ReshapeThreads< VectorizedTile, Threads_ >::Threads | Threads
| The threads shape. More...
typedef Shape< 1, 1, VectorizedTile::kC > | ThreadsDelta
| The relative offset between two elements in the H/W dimension in adjacent threads. More...
typedef Shape< 0, Threads::kH, Threads::kW *kAccessSize > | Delta
| The strides in each dimension between different loads/stores. More...
typedef Shape< 0, 0, Threads::kW *ThreadsDelta::kW, kAccessSize > | ImmediateOffsetStrides
| Strides for immediate offset computation. More...
typedef Shape< 1, VectorizedTile::kH/Threads::kH, VectorizedTile::kW/Threads::kW, VectorizedTile::kC/kAccessSize > | Iterations
| The number of iterations needed to load/store the tile. More...
typedef GemmMultiplicandTraits< Tile, kOperand, kLayout > | MultiplicandTraits

## Static Public Attributes
static int const | kStrideH = kStrideH_
| The stride in the H dimension. More...
Static Public Attributes inherited from cutlass::gemm::GemmGlobalTileTraits< GemmOperand::kC, MatrixLayout::kColumnMajor, Scalar_, Tile_, Threads_, kAccessSize_ >
static GemmOperand::Kind const | kOperand
| Identity of the operand. More...
static MatrixLayout::Kind const | kLayout
| The layout. More...
static int const | kAccessSize
| The number of scalars per LDG/STG. More...
static MemorySpace::Kind const | kMemorySpace
| The memory space. More...

## Member Typedef Documentation

## ◆ Base

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kStrideH_, int kAccessSize_>

typedef GemmGlobalTileTraits<GemmOperand::kC, MatrixLayout::kColumnMajor, Scalar_, Tile_, Threads_, kAccessSize_> cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >::Base

## ◆ Delta

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kStrideH_, int kAccessSize_>

typedef Shape<0, 0, Base::Delta::kW, Base::Delta::kC> cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >::Delta

## ◆ ImmediateOffsetStrides

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kStrideH_, int kAccessSize_>

typedef Base::ImmediateOffsetStrides cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >::ImmediateOffsetStrides

## ◆ Iterations

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kStrideH_, int kAccessSize_>

typedef Base::Iterations cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >::Iterations

## ◆ Threads

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kStrideH_, int kAccessSize_>

typedef Base::Threads cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >::Threads

## ◆ ThreadsDelta

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kStrideH_, int kAccessSize_>

typedef Base::ThreadsDelta cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >::ThreadsDelta

## Member Data Documentation

## ◆ kStrideH

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kStrideH_, int kAccessSize_>

int const cutlass::gemm::GemmGlobalTileCdTraits< Scalar_, Tile_, Threads_, kStrideH_, kAccessSize_ >::kStrideH = kStrideH_
| static

The documentation for this struct was generated from the following file:

- gemm_global_tile.h